Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.dynamiccon
Interface RemoteDynamicConnectionService

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteDynamicConnectionService

extends java.rmi.Remote

Dynamic connection service for calling through RMI client.

See Also:
  `DynamicConnectionService`

Method Summary
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource)`
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, DynamicConnection originalCatConnection)`
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connectionName)`
`DynamicConnection[]` | `getAvailableDynamicConnections(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connectionName, DynamicConnection originalCatConnection)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String dynamicConnectionId)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String dynamicConnectionId, DynamicConnection originalCatConnection)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connectionName, java.lang.String dynamicConnectionId)`
`DynamicConnection` | `getDynamicConnection(java.lang.String userName, java.lang.String catalog, int catVerNumber, java.lang.String datasource, java.lang.String connectionName, java.lang.String dynamicConnectionId, DynamicConnection originalCatConnection)`

Method Detail

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource)
                                                       throws RptServerException,
                                                              java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       java.lang.String connectionName)
                                                       throws RptServerException,
                                                              java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       DynamicConnection originalCatConnection)
                                                       throws RptServerException,
                                                              java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getAvailableDynamicConnections

    DynamicConnection[] getAvailableDynamicConnections(java.lang.String userName,
                                                       java.lang.String catalog,
                                                       int catVerNumber,
                                                       java.lang.String datasource,
                                                       java.lang.String connectionName,
                                                       DynamicConnection originalCatConnection)
                                                       throws RptServerException,
                                                              java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String dynamicConnectionId)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String connectionName,
                                           java.lang.String dynamicConnectionId)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String dynamicConnectionId,
                                           DynamicConnection originalCatConnection)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

### getDynamicConnection

    DynamicConnection getDynamicConnection(java.lang.String userName,
                                           java.lang.String catalog,
                                           int catVerNumber,
                                           java.lang.String datasource,
                                           java.lang.String connectionName,
                                           java.lang.String dynamicConnectionId,
                                           DynamicConnection originalCatConnection)
                                           throws RptServerException,
                                                  java.rmi.RemoteException

  Throws:
    `RptServerException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD